﻿using IRaCIS.Core.Application.MassTransit.Command;
using IRaCIS.Core.Domain;
using IRaCIS.Core.Domain.BaseModel;
using MassTransit;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.MassTransit.Consumer;

/// <summary>
/// 加急的医学反馈任务  通知MIM
/// </summary>
public class UrgentMedicalReviewAddedEventConsumer : IConsumer<UrgentMedicalReviewAddedEvent>
{
    public Task Consume(ConsumeContext<UrgentMedicalReviewAddedEvent> context)
    {
        throw new NotImplementedException();
    }
}

//IR 回复医学反馈通知MIM
public class UrgentIRRepliedMedicalReviewConsumer : IConsumer<UrgentIRRepliedMedicalReview>
{
    public Task Consume(ConsumeContext<UrgentIRRepliedMedicalReview> context)
    {
        throw new NotImplementedException();
    }
}

/// <summary>
/// MIM 回复医学返回通知IR
/// </summary>
public class UrgentMIMRepliedMedicalReviewConsumer : IConsumer<UrgentMIMRepliedMedicalReview>
{
    public Task Consume(ConsumeContext<UrgentMIMRepliedMedicalReview> context)
    {
        throw new NotImplementedException();
    }
}

/// <summary>
/// 加急阅片 IR 申请重阅
/// </summary>
public class UrgentIRApplyedReReadingConsumer : IConsumer<UrgentIRApplyedReReading>
{
    public Task Consume(ConsumeContext<UrgentIRApplyedReReading> context)
    {
        throw new NotImplementedException();
    }
}

